@font-face {
    font-family: SourceCodePro;
    src: url(SourceCodePro-Regular.ttf);
}

* {
    outline: 0 ! important;
    border: 0;
    box-sizing: border-box;
}

html, body {
    touch-action: none;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100vw;
    background-color: #111111;
    color: #F3F5F3;
    font-style: normal;
    font-weight: normal;
    overflow: hidden;
    font-size: 2em;
    font-family: SourceCodePro, sans-serif;
}

button, select, input, legend {
    background: none;
    border: none;
    -moz-appearance: none;
    appearance: none;
    overflow: hidden;
    font-family: SourceCodePro, sans-serif;
    font-size: 1em;
    cursor: pointer;
}

a {
    color:#F3F5F3;
}

a:hover {
    color:#A0A1A3;
}

#black {
    /* display: none; */
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #111111;
    opacity: 0;
    transition: opacity 5s;
    z-index: 20;
}

#black.startup {
    /* display: block; */
    opacity: 1;
}

html, canvas {
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.hidden {
    display: none !important;
}

h1 {
    text-align: center;
    font-size: 5vmin;
    line-height: 8vmin;
    text-shadow: 0.5vmin 0.5vmin #111111;
    margin: 0;
    padding: 0;
}

h1#title {
    position: absolute;
    top: 1vmin;
    left: 0;
    text-align: center;
    z-index: 30;
    width: 100vw;
    white-space: nowrap;
    cursor: pointer;
}

h2 {
    display: block;
    width: 100%;
    float: left;
    text-align: center;
    font-weight: normal;
    margin: 0.2em 0 0 0;
}

h3 {
    width: 100%;
    text-align: center;
    margin: 0 0 5% 0;
    font-weight: normal;
}

p {
    padding: 0;
    margin: 0 0 0.6em 0;
    line-height: 1.4em;
    text-align: center;
}

#licenseText p {
    text-align: left;
}

#loading {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    padding-top: 45vh;
    background-color: #111111;
    font-size: 5vmin;
    text-align: center;
}

#loading.startup {
    display: block;
}

#about {
    position: absolute;
    z-index: 50;
    width: 60vw;
    height: 80vh;
    left: 20vw;
    top: 10vh;
    background-color: #111111;
    border: 1px solid #A0A1A3;
    padding: 3vh;
    font-size: 2vmin;
    text-align: center;
    overflow-y: auto;
}

#volunteer_list table {
    width: 100%;
}
